Subject: Re: bug#24857: emacs24/25 FTBFS since a long time on GNU/Hurd

From: Svante Signell <[email-masked]>
Date: Fri, 11 Nov 2016 16:04:45 +0100

On Fri, 2016-11-11 at 16:03 +0200, Eli Zaretskii wrote:
> > 
> > From: Svante Signell <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > Date: Fri, 11 Nov 2016 12:18:33 +0100
> > 
> > Well, rebooting, checking disks and building again freeze the box hard, no
> > successful build this time :(
> > Dumping under the name emacs
> > 5883168 of 16777216 static heap bytes used
> > <box freeze>
> Does /var/log/messages (or wherever that is on Hurd) have anything
> interesting at that point?

Dunno, I'll take a look next time it happens. Probably not since nothing is even
written on the console.

> > Are you going to remove the obscure unxec stuff anytime soon? And use system
> > malloc functions from glibc instead of home-brewn versions?
> We are not yet sure this is due to unexec.  That's why I asked you to
> try to run temacs.  If temacs runs well and has no issues, then yes,
> unexec is the most likely culprit.
> 
> I do wonder what happened in 24.5 that Emacs became unbuildable on
> Hurd.  Can you still build 24.4 on your current system?  If so,
> perhaps look at the diffs between unexelf.c in 24.4 and the current
> version, and try to figure out what changes there cause the failure on
> Hurd.

Now even older versions FTBFS, like the one that built earlier: 2.24-5. It might
have to do with libc versions:
emacs 2.24-5 was successfully built with glibc 2.19
emacs 2.24-6 was FTBFS with glibc 2.22
Now we are at glibc 2.24.

All older versions I've tried gets Killed when dumping temacs.
e.g. emacs24.5-5:
/bin/bash: line 7: 29388 Killed                  ./temacs --batch --load loadup
bootstrap